#!/usr/bin/env python

import numpy as np
from matplotlib import pyplot as plt
from scipy.special import jn

def jinc(x):
	return 2 * jn(1, np.pi * x) / (np.pi * x)

wl = 0.21
d1 = 25.0
d2 = 100.0

a = np.arange(0,0.1,0.00001)
a1 = a * d1 / wl
a2 = a * d2 / wl
b1 = jinc(a1)
b2 = jinc(a2)
plt.plot(a, b1 ** 2)
plt.plot(a, b2 ** 2)
plt.plot(a, b1 * b2)
plt.show()
