#!/usr/bin/env ParselTongue

import AIPS
from AIPSData import AIPSUVData
from pyrap.tables import table
import math
import sys
import numpy

ant_no = int(sys.argv[1])
AIPS.userno = 5422

uv = AIPSUVData('20030703', 'LINE', 1,1)
bp = uv.table('BP', 1)
bcal = table('../pb1.bcal', ack=False)

ant_nums = []
ant = table('../AG650.MS/ANTENNA', ack=False)
for row in ant:
	ant_nums.append(int(row['NAME'][-2:]))

cr = bcal[ant_no]['GAIN'][:,0].real
ci = bcal[ant_no]['GAIN'][:,0].imag
c_phs = numpy.degrees(numpy.arctan2(ci, cr))
	
ar = bp[ant_nums[ant_no] - 1].real_1
ai = bp[ant_nums[ant_no] - 1].imag_1
a_phs = numpy.degrees(numpy.arctan2(ai, ar))

for i in range(len(a_phs)):
	print i, a_phs[i] - c_phs[i]
