#/usr/bin/env ParselTongue

import AIPS
import Wizardry.AIPSData as wiz
import datetime
import time

AIPS.userno = 5422
uv = wiz.AIPSUVData('20030703', 'LINE', 1, 1)

obs_date = datetime.datetime(*[int(i) for i in uv.header.date_obs.split('-')])

for vis in uv:
	if vis.source == 2 and vis.baseline == [1,2]:
		t = obs_date + datetime.timedelta(float(vis.time))
		t0 = time.mktime(t.timetuple())
		print t, datetime.datetime.fromtimestamp(t0)
		break
