#!/usr/bin/env ParselTongue

import AIPS
from AIPSData import AIPSUVData
from pyrap.tables import table
import math

AIPS.userno = 5422

uv = AIPSUVData('20030703', 'LINE', 1,1)
sn = uv.table('SN', 2)
gcal = table('AG650.gcal2', ack=False)
assert len(sn) == len(gcal)

for i in range(len(sn)):
	if sn[i].antenna_no != 14:
		continue
	gr = gcal[i]['GAIN'][0][0].real
	gi = gcal[i]['GAIN'][0][0].imag
	g_phs = math.degrees(math.atan2(gi, gr))
	
	sr = sn[i].real1
	si = sn[i].imag1
	s_phs = math.degrees(math.atan2(si, sr))

	print g_phs - s_phs
