#!/usr/bin/env ParselTongue

import AIPS
from AIPSData import AIPSUVData
import math
import sys

AIPS.userno = 5422

uv = AIPSUVData('20030703', 'LINE', 1,1)
sn = uv.table('SN', 0)

i = 0
for row in sn:
	if row.antenna_no == int(sys.argv[1]):
		gr = row.real1
		gi = row.imag1
		#print i, abs(g), cmath.phase(g)
		print i, math.hypot(gr, gi), math.degrees(math.atan2(gi, gr))
		i += 1
