#!/usr/bin/env ParselTongue

import AIPS
from AIPSData import AIPSUVData
from pyrap.tables import table
import math

AIPS.userno = 5422

uv = AIPSUVData('20030703', 'LINE', 1,1)
sn = uv.table('SN', 0)
gcal = table('proto1.gcal', ack=False, readonly=False)
assert len(sn) == len(gcal)

for i in range(len(sn)):
	if gcal[i]['ANTENNA1'] != sn[i].antenna_no - 1:
		print i
	g = gcal[i]['GAIN']
	g[0][0] = sn[i].real1 + 1j * sn[i].imag1
	g[0][1] = sn[i].real2 + 1j * sn[i].imag2
	gcal[i] = {'GAIN': g}
	gcal[i].update()
gcal.close()
