#!/usr/bin/env python

import re
import sys

comment_line = re.compile('^!')
name_line = re.compile("\s*DBCODE=(\w+)\s*DBNAME=(\w+)\s*AXISTYPE='(\w+)'\s*AXISOFF=\s*(-?\d+\.\d+)\s*")
name1_line = re.compile("\s*DBCODE=(\w+)\s*")
name2_line = re.compile("\s*DBNAME=(\w+)\s*")
name3_line = re.compile("\s*AXISTYPE='(\w+)'\s*")
name4_line = re.compile("\s*AXISOFF=\s*(-?\d+\.\d+)\s*")
xyz_line = re.compile('\s*X=\s*(-?\d+\.\d+)\s*Y=\s*(-?\d+\.\d+)\s*Z=\s*(-?\d+\.\d+)\s*')
end_block = re.compile('^/')

have_name = False
have_xyz = False
for line in sys.stdin:
	name_match = name_line.match(line)
	if name_match:
		code, name, mount, offset = name_match.groups()
		print line
