#!/usr/bin/evn python

from pyrap_tables import table
from pyrap_quanta import quantity
from datetime import datetime

import warnings
warnings.filterwarnings('ignore', category=DeprecationWarning)

mod_jul_day = quantity(40587.0, 'd')                              

def time(table, column, row):
    t_ms = quantity(table[row][column], table.getcolkeyword(column, 'QuantumUnits')[0])
    t_epoch = t_ms - mod_jul_day
    t_epoch.convert(quantity(1.0, 's'))
    return datetime.utcfromtimestamp(t_epoch.get_value())

#ms = table('~/casa_data/evn_nme/n09c1.ms', ack=False)
#print time(ms, 'TIME', 0)

flagcmd = table('~/casa_data/evn_nme/n09c1.ms/FLAG_CMD', ack=False)
print time(flagcmd, 'TIME', 1)
