#!/usr/bin/env python

import numpy as np
from matplotlib import pyplot as plt
import sys

R=40
freq = 1.44e9
elip = 0.01
fact = 68.0

lm = np.arange(-np.pi/R, np.pi/R, np.pi/R/100)

lmsq = lm ** 2
sb = np.sqrt(lmsq*(1+elip))*(np.pi*fact*1e-9)*freq + 0.001
E = np.sin(sb) / sb
plt.plot(np.degrees(lm),E)

lmsq = lm ** 2
sb = np.sqrt(lmsq*(1+elip))*(4*np.pi*fact*1e-9)*freq + 0.001
E2 = np.sin(sb) / sb
plt.plot(np.degrees(lm),E*E2)

plt.show()
