#!/usr/bin/env python

import numpy as np
from matplotlib import pyplot as plt
import sys

R=40
freq = 1.44e9
elip = 0.01
fact = 68.0

lm = np.arange(-np.pi/R, np.pi/R, np.pi/R/100)

lmsq = lm ** 2
E = np.cos(np.sqrt(lmsq*(1+elip))*(fact*1e-9)*freq) ** 3
plt.plot(np.degrees(lm),E**2)

E2 = np.cos(np.sqrt(lmsq*(1+elip))*(4*fact*1e-9)*freq) ** 3
plt.plot(np.degrees(lm),E*E2)

plt.show()
