#!/usr/bin/env python

from pyrap.tables import table
import math
import sys

gcal = table('AG650.gcal', ack=False)
i = 0
for row in gcal:
	if row['ANTENNA1'] == int(sys.argv[1]):
		gr = row['GAIN'][0][0].real
		gi = row['GAIN'][0][0].imag
		print i, math.hypot(gr, gi), math.degrees(math.atan2(gi, gr))
		#print i, g.imag
		i += 1
