#!/usr/bin/env ParselTongue

import AIPS
from AIPSData import AIPSUVData, AIPSCat
import sys

if len(sys.argv) != 4:
	print >> sys.stderr, 'Usage: %s <userno> <disk> <cno>' % sys.argv[0]
	sys.exit()
AIPS.userno, disk, cno = [int(i) for i in sys.argv[1:4]]

ds = [i for i in AIPSCat()[disk] if i['cno'] == cno][0]
uv = AIPSUVData(ds['name'], ds['klass'], disk, ds['seq'])

an = uv.table('AN', 0)
for row in an:
	print row['nosta'], row['anname']
