#!/usr/bin/env pt

import AIPS
from AIPSData import AIPSUVData, AIPSImage
from aips_data_atts import *
from ast_utils import *
from unit_utils import *
from Wizardry.AIPSData import AIPSUVData as WizAIPSUVData

AIPS.userno = 2

uv = AIPSUVData('CTB80', 'UVSUB', 1, 1)
wiz_uv = WizAIPSUVData(uv)
im = AIPSImage('CTB80', 'IIM001', 1, 1)

print frequency(uv)
print wavelength(uv)
print baseband_count(uv)
print channel_count(uv)
print channel_width(uv)
print ra(uv)
print deg2str(ra(uv), precision=2)
print dec(uv)
ra_str = deg2str(ra(uv), precision=2)
dec_str = deg2str(dec(uv), precision=1, sign=True)
print ra_str, dec_str
print bandwidth(uv)
ant_list = antenna_coords(uv)
print ant_list[0]
print max_baseline(uv)
print resolution_asec(uv)
print wiz_int_time(wiz_uv)
print bw_fov_asec(uv)
print wiz_time_fov_asec(wiz_uv)
print wiz_fov_asec(wiz_uv)
print imsize_pix(im)
print ref_pixel(im)
